<?php

require_once( _PS_MODULE_DIR_ .'makecommerce/makecommerce.php');
if(!class_exists('MakeCommerceCarrierModule'))
    include( _PS_MODULE_DIR_ .'makecommerce/libs/makecommerce_carrier_module.php');

class MakeCommerceDpd extends MakeCommerceCarrierModule
{
    const DPD_LOGO_URL = 'https://static.maksekeskus.ee/img/shipping/dpd.png';

    const VALID_COUNTRIES = array('ee', 'lv', 'lt', 'fi');

    const CARRIER_METHODS = array('parcel_terminals', 'courier');

    public function __construct()
    {
        $this->name = 'makecommercedpd';
        $this->tab = 'shipping_logistics';
        $this->version = '3.3.4';
        $this->author = 'MakeCommerce.net (Maksekeskus AS)';
        $this->need_instance = 0;
        $this->carrier_name = 'DPD';
        $this->carrier_front_name = 'DPD';
        $this->displayName = $this->l('DPD carrier');
        $this->description = $this->l('Creates carrier that can be further configured under MakeCommerce module settings');
        $this->logo_url = self::DPD_LOGO_URL;

        parent::__construct();
    }

}

