<?php

require_once( _PS_MODULE_DIR_ .'makecommerce/makecommerce.php');
if(!class_exists('MakeCommerceCarrierModule'))
    include( _PS_MODULE_DIR_ .'makecommerce/libs/makecommerce_carrier_module.php');

class MakeCommerceSmartPost extends MakeCommerceCarrierModule
{

    const ITELLA_LOGO_URL = 'https://static.maksekeskus.ee/img/shipping/itella_smartpost.png';

    const VALID_COUNTRIES = array('ee', 'fi');

    const CARRIER_METHODS = array('parcel_terminals', 'courier');

    public function __construct()
    {
        $this->name = 'makecommercesmartpost';
        $this->tab = 'shipping_logistics';
        $this->version = '3.3.4';
        $this->author = 'MakeCommerce.net (Maksekeskus AS)';
        $this->need_instance = 0;
        $this->carrier_name = 'SMARTPOST';
        $this->carrier_front_name = $this->l('SmartPOST ');
        $this->logo_url = self::ITELLA_LOGO_URL;

        parent::__construct();

        $this->displayName = $this->l('SmartPOST carrier');
        $this->description = $this->l('Creates carrier that can be further configured under MakeCommerce module settings');
    }

}
